共享链接
创建共享链接
POST
/api/share为网站、看板、链接或像素创建带参数的命名共享链接,可选设置自定义 slug。
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Request body
| Name | Type | Description |
|---|---|---|
| entityIdrequired | string | ID of the resource being shared. |
| namerequired | string | Display name of the resource. |
| parametersrequired | object | Configuration parameters for the resource. |
| shareTyperequired | integer | Type of resource made available by the share. |
| slug | string | URL slug used to access the resource. |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| entityIdrequired | string | ID of the resource being shared. |
| idrequired | string | Unique identifier of the resource. |
| namerequired | string | Display name of the resource. |
| parametersrequired | anyOf | Configuration parameters for the resource. |
| shareTyperequired | number | Type of resource made available by the share. |
| slugrequired | string | URL slug used to access the resource. |
| updatedAtrequired | string | Date and time the record was last updated. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL